Package org.apache.cxf.common.util

# Class CachedClass

java.lang.Object
org.apache.cxf.common.util.CachedClass

public class CachedClass extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachedClass(Class<?> cachedClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getCachedClass()`
  `void`
  `setCachedClass(Class<?> cachedClass)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CachedClass

    public CachedClass(Class<?> cachedClass)

- ## Method Details

  - ### getCachedClass

    public Class<?> getCachedClass()

  - ### setCachedClass

    public void setCachedClass(Class<?> cachedClass)